Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Class Namespace

    java.lang.Object
      |
      +--com.bea.wlai.common.NamespaceObject
            |
            +--com.bea.wlai.common.Namespace

public class Namespace
extends NamespaceObject
implements INamespace

An implementation of the INamespace interface. Implements any object that can exist in a namespace.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`Namespace(INamespace parent, java.lang.String name, java.lang.String description)`
`Namespace(INamespace parent, java.lang.String name, java.lang.String description, boolean isRoot)`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compare this object to the given object and determine if they are equal.
`boolean` | `isRoot()` Indicates whether this namespace is the root namespace.

Methods inherited from class com.bea.wlai.common.NamespaceObject
`getDescription, getName, getParentNamespace, getQualifiedName, hashCode, setDescription, setName, setParentNamespace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Namespace

    public Namespace(INamespace parent,
                     java.lang.String name,
                     java.lang.String description)

### Namespace

    public Namespace(INamespace parent,
                     java.lang.String name,
                     java.lang.String description,
                     boolean isRoot)

Method Detail

### isRoot

    public boolean isRoot()

  Indicates whether this namespace is the root namespace.
  Specified by:
    isRoot in interface INamespace

  Returns:
    True if this namespace is the root namespace, false otherwise.

### equals

    public boolean equals(java.lang.Object obj)

  Compare this object to the given object and determine if they are equal. For INamespaces, this means that both objects match in name, and parent namespace. be equal.
  Specified by:
    equals in interface INamespace

  Returns:
    True if the name and namespace of the obj param equal this QualifiedName's name and namespace.
  Overrides:
    equals in class NamespaceObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)